Bug 1170069 - kernel-default-base: ignition needs qemu_fw_cfg
kernel-default-base: ignition needs qemu_fw_cfg
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-21 12:24 UTC by Ludwig Nussel
Modified: 2022-07-21 18:34 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ludwig Nussel 2020-04-21 12:24:54 UTC
When building an appliance that uses kernel-default-base like JeOS as well as ignition for unattended initialization ignition fails as it needs 'qemu_fw_cfg':

[   96s] dracut: *** Including module: ignition ***
[   96s] dracut-install: Failed to find module 'qemu_fw_cfg'
[   96s] dracut: FAILED:  /usr/lib/dracut/dracut-install -D /var/tmp/dracut.PuXPHn/initramfs -N i2o_scsi --kerneldir /lib/modules/5.3.18-lp152.11-default/ -m qemu_fw_cfg
[   96s] dracut: installkernel failed in module ignition


Would it be possible to include that in kernel-default-base? If so, also for 15.2?
Comment 1 Takashi Iwai 2020-04-21 12:37:24 UTC
The recent kernel-default-base (on both TW and SLE15-SP2/Leap15.2) is no longer a subpackage of kernel-default but an individual package that retrieves the needed modules from the existing kernel-default and repackages.  It's trivial to change the required modules in its own spec file.

If you believe that the module is mandatory, feel free to go ahead.
Comment 2 Michal Suchanek 2020-04-21 12:47:15 UTC
https://build.opensuse.org/request/show/796057
Comment 3 Fabian Vogt 2020-04-22 13:50:43 UTC
(In reply to Michal Suchanek from comment #2)
> https://build.opensuse.org/request/show/796057

Got accepted and forwarded, to 15 SP2 as well.